Subject: bug#19993: 25.0.50; Unicode fonts defective on Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2015 23:12:17 +0200

> Date: Fri, 06 Mar 2015 22:11:32 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Fri, 6 Mar 2015 08:21:36 -0800
> > From: Ilya Zakharevich <[email-masked]>
> > Cc: [email-masked]
> > 
> > On Fri, Mar 06, 2015 at 04:00:27PM +0200, Eli Zaretskii wrote:
> > > > Practically nothing “non-banal” is shown.  Let me try…  No U+1D49C,
> > > > U+2099 ₙ, U+1D552, U+27e8 U+27e9 ⟨⟩ (just looking into my recent
> > > > “real-life” file of notices).
> > > 
> > > U+2099, U+27e8, and U+27e9 are displayed here (I have the STIX fonts
> > > installed, and they are used for that).  The rest indeed aren't.
> > 
> > > Do you have fonts installed that cover these codepoints?
> > 
> > As I said, «Unifont Smooth» has everything in BMP of v7.0.  Many fonts
> > (including «Symbola») have Math chars. 

This will set up the default fontset to use Symbola for the
Mathematical Alphanumeric Symbols block:

  (set-fontset-font "fontset-default" '(#x1d400 . #x1d7ff) "Symbola")

You should be able to do similar things with other ranges, and
likewise for Unifont Smooth.

The node "Modifying Fontsets" of the Emacs manual also includes an
example of how to set up a fallback font, which might be what you want
to do with Unifont Smooth (unless you already have it set as the
default font).